/* Mobile Basic 3.2.2 | mobilejoomla.com/license.html */
function mjInsertFieldValue(value, id) {
    var elem = document.getElementById(id);
    if (elem.value !== value) {
        elem.value = value;
        if (elem.fireEvent) {
            elem.fireEvent("change");
        }
        mjMediaRefreshPreview(id);
    }
}

function mjMediaRefreshPreview(id) {
    var value = document.getElementById(id).value,
        img = document.getElementById(id + "_preview");
    if (img) {
        if (value && value !== "-") {
            if (value.indexOf("//") < 0) {
                value = window.mjRoot + value;
            }
            img.src = value;
            document.getElementById(id + "_preview_empty").style.display = "none";
            document.getElementById(id + "_preview_img").style.display = "";
        } else {
            img.src = ""
            document.getElementById(id + "_preview_empty").style.display = "";
            document.getElementById(id + "_preview_img").style.display = "none";
        }
    }
}

function mjMediaRefreshPreviewTip(tip) {
    tip.style.display = "block";
    // @todo Bootstrap tooltips has another structure
    var id = tip.querySelector("img.media-preview").getAttribute("id");
    id = id.substring(0, id.length - "_preview".length);
    mjMediaRefreshPreview(id);
}

function jInsertFieldValue(src, editor) {
    document.getElementById(editor).value = "/" + src;
}

window.addEventListener("DOMContentLoaded", function () {
    [...document.getElementsByTagName("hasTipPreview")].forEach(el => {
        el.addEventListener('show.bs.tooltip', function (e) {
            mjMediaRefreshPreviewTip(e.target);
        });
    });
});
