<?php
/** @license  GNU General Public License version 2 or later; see LICENSE.txt */
defined('_JEXEC') or die;

JLoader::register('JHtmlUsers', JPATH_COMPONENT . '/helpers/html/users.php');
JHtml::register('users.spacer', array('JHtmlUsers', 'spacer'));
JHtml::register('users.helpsite', array('JHtmlUsers', 'helpsite'));
JHtml::register('users.templatestyle', array('JHtmlUsers', 'templatestyle'));
JHtml::register('users.admin_language', array('JHtmlUsers', 'admin_language'));
JHtml::register('users.language', array('JHtmlUsers', 'language'));
JHtml::register('users.editor', array('JHtmlUsers', 'editor'));

?>
<?php $fields = $this->form->getFieldset('params'); ?>
<?php if (count($fields)): ?>
    <table id="users-profile-custom">
        <caption><?php echo JText::_('COM_USERS_SETTINGS_FIELDSET_LABEL'); ?></caption>
        <?php foreach ($fields as $field):
            if (!$field->hidden) :?>
                <tr>
                    <td><?php echo $field->title; ?></td>
                    <td>
                        <?php if (JHtml::isRegistered('users.' . $field->id)): ?>
                            <?php echo JHtml::_('users.' . $field->id, $field->value); ?>
                        <?php elseif (JHtml::isRegistered('users.' . $field->fieldname)): ?>
                            <?php echo JHtml::_('users.' . $field->fieldname, $field->value); ?>
                        <?php elseif (JHtml::isRegistered('users.' . $field->type)): ?>
                            <?php echo JHtml::_('users.' . $field->type, $field->value); ?>
                        <?php else: ?>
                            <?php echo JHtml::_('users.value', $field->value); ?>
                        <?php endif; ?>
                    </td>
                </tr>
            <?php endif; ?>
        <?php endforeach; ?>
    </table>
<?php endif; ?>

