<?php
/** @license  GNU General Public License version 2 or later; see LICENSE.txt */
// no direct access
defined('_JEXEC') or die;
?>
<ul data-role="listview" class="whosonline<?php echo $moduleclass_sfx ?>">
    <?php if ($showmode == 0 || $showmode == 2) : ?>
        <?php $guest = JText::plural('MOD_WHOSONLINE_GUESTS', $count['guest']); ?>
        <?php $member = JText::plural('MOD_WHOSONLINE_MEMBERS', $count['user']); ?>
        <li><?php echo JText::sprintf('MOD_WHOSONLINE_WE_HAVE', $guest, $member); ?></li>
    <?php endif; ?>

    <?php if (($showmode > 0) && count($names)) : ?>
        <?php if ($params->get('filter_groups')): ?>
            <li data-role="list-divider"><?php echo JText::_('MOD_WHOSONLINE_SAME_GROUP_MESSAGE'); ?></li>
        <?php endif; ?>
        <?php foreach ($names as $name) : ?>
            <li>
                <?php echo $name->username; ?>
            </li>
        <?php endforeach; ?>
    <?php endif; ?>
</ul>
