<?php
/** @license  GNU General Public License version 2 or later; see LICENSE.txt */
defined('_JEXEC') or die('Restricted access');

$theme = JFactory::getApplication()->getTemplate(true)->params->get('theme_pagination', '');
if ($theme) {
    $theme = ' data-theme="' . $theme . '"';
}
$prev_label = isset($row->prev_label) ? $row->prev_label : JText::_('JPREV');
$next_label = isset($row->next_label) ? $row->next_label : JText::_('JNEXT');
?>
<div data-role="controlgroup" data-type="horizontal"<?php echo $theme; ?> class="pagenav">
    <?php if ($row->prev) : ?>
        <a data-role="button" data-inline="true" href="<?php echo $row->prev; ?>" data-icon="carat-l"
           data-direction="reverse" rel="prev"><?php echo $prev_label; ?></a>
    <?php endif; ?>
    <?php if ($row->next) : ?>
        <a data-role="button" data-inline="true" href="<?php echo $row->next; ?>" data-icon="carat-r"
           data-iconpos="right" rel="next"><?php echo $next_label; ?></a>
    <?php endif; ?>
</div>