<?php
/** @license  GNU General Public License version 2 or later; see LICENSE.txt */
defined('_JEXEC') or die;

$class = ' class="first"';
JHtml::_('bootstrap.tooltip');
$lang = JFactory::getLanguage();

if (count($this->items[$this->parent->id]) > 0 && $this->maxLevelcat != 0) :
    ?>
    <ul data-role="listview" data-inset="true">
        <?php foreach ($this->items[$this->parent->id] as $id => $item) : ?>
            <?php
            if ($this->params->get('show_empty_categories_cat') || $item->numitems || count($item->getChildren())) :
                if (!isset($this->items[$this->parent->id][$id + 1])) {
                    $class = ' class="last"';
                }
                ?>
                <li <?php echo $class; ?> >
                    <?php $class = ''; ?>
                    <a href="<?php echo JRoute::_(ContentHelperRoute::getCategoryRoute($item->id, $item->language)); ?>">
                        <?php if ($this->params->get('show_description_image') && $item->getParams()->get('image')) : ?>
                            <img src="<?php echo $item->getParams()->get('image'); ?>"/>
                        <?php endif; ?>
                        <h3 class="page-header item-title">
                            <?php echo $this->escape($item->title); ?>
                            <?php if ($this->params->get('show_cat_num_articles_cat') == 1) : ?>
                                <span class="ui-li-count badge badge-info tip hasTooltip"
                                      title="<?php echo JHtml::tooltipText('COM_CONTENT_NUM_ITEMS'); ?>">
							<?php echo $item->numitems; ?>
						</span>
                            <?php endif; ?>
                        </h3>
                    </a>
                </li>
                <?php if ($this->params->get('show_subcat_desc_cat') == 1) : ?>
                <?php if ($item->description) : ?>
                    <li data-role="list-divider" class="category-desc">
                        <?php echo JHtml::_('content.prepare', $item->description, '', 'com_content.categories'); ?>
                    </li>
                <?php endif; ?>
            <?php endif; ?>
                <?php if (count($item->getChildren()) > 0) : ?>
                <li data-role="collapsible" data-mini="true" class="collapse fade"
                    id="category-<?php echo $item->id; ?>">
                    <h4><?php echo $this->escape($item->title); ?></h4>
                    <?php
                    $this->items[$item->id] = $item->getChildren();
                    $this->parent = $item;
                    $this->maxLevelcat--;
                    echo $this->loadTemplate('items');
                    $this->parent = $item->getParent();
                    $this->maxLevelcat++;
                    ?>
                </li>
            <?php endif; ?>
            <?php endif; ?>
        <?php endforeach; ?>
    </ul>
<?php endif; ?>
