<?php
/**
 * Mobile Basic template for Mobile Joomla! extension
 * https://www.mobilejoomla.com
 *
 * @version     3.2.2
 * @license     GNU/GPL v2 - http://www.gnu.org/licenses/gpl-2.0.html
 * @copyright   (C) 2008-2024 Kuneri Ltd. / Denis Ryabov
 * @date        February 2024
 */

defined('_JEXEC') or die('Restricted access');

$cdnList = array(
    'jquery.com' => array(
        'https' => true,
        'jquery.js' => '//code.jquery.com/jquery-*',
        'jquery.migrate.js' => '//code.jquery.com/jquery-migrate-*',
        'jquery.mobile.js' => '//code.jquery.com/mobile/*/jquery.mobile-*',
        'jquery.mobile.css' => '//code.jquery.com/mobile/*/jquery.mobile-*',
        'jquery.mobile.structure.css' => '//code.jquery.com/mobile/*/jquery.mobile.structure-*'
    ),
    'aspnetcdn.com' => array(
        'https' => true,
        'jquery.js' => '//ajax.aspnetcdn.com/ajax/jQuery/jquery-*',
        'jquery.migrate.js' => '//ajax.aspnetcdn.com/ajax/jquery.migrate/jquery-migrate-*',
        'jquery.mobile.js' => '//ajax.aspnetcdn.com/ajax/jquery.mobile/*/jquery.mobile-*',
        'jquery.mobile.css' => '//ajax.aspnetcdn.com/ajax/jquery.mobile/*/jquery.mobile-*',
        'jquery.mobile.structure.css' => '//ajax.aspnetcdn.com/ajax/jquery.mobile/*/jquery.mobile.structure-*'
    ),
    'jsdelivr.com' => array(
        'https' => true,
        'jquery.js' => '//cdn.jsdelivr.net/jquery/*/jquery-*',
        'jquery.migrate.js' => '//cdn.jsdelivr.net/jquery.migrate/*/jquery-migrate',
        'jquery.mobile.js' => '//cdn.jsdelivr.net/jquery.mobile/*/jquery.mobile-*',
        'jquery.mobile.css' => '//cdn.jsdelivr.net/jquery.mobile/*/jquery.mobile-*',
        'jquery.mobile.structure.css' => '//cdn.jsdelivr.net/jquery.mobile/*/jquery.mobile.structure-*'
    ),
    'cdnjs.com' => array(
        'https' => true,
        'jquery.js' => '//cdnjs.cloudflare.com/ajax/libs/jquery/*/jquery',
        'jquery.migrate.js' => '//cdnjs.cloudflare.com/ajax/libs/jquery-migrate/*/jquery-migrate',
        'jquery.mobile.js' => '//cdnjs.cloudflare.com/ajax/libs/jquery-mobile/*/jquery.mobile',
        'jquery.mobile.css' => '//cdnjs.cloudflare.com/ajax/libs/jquery-mobile/*/jquery.mobile',
        'jquery.mobile.structure.css' => '//cdnjs.cloudflare.com/ajax/libs/jquery-mobile/*/jquery.mobile.structure'
    ),
    'yandex.ru' => array(
        'https' => true,
        'jquery.js' => '//yandex.st/jquery/*/jquery',
        'jquery.migrate.js' => '',
        'jquery.mobile.js' => '//yandex.st/jquery/mobile/*/jquery.mobile',
        'jquery.mobile.css' => '//yandex.st/jquery/mobile/*/jquery.mobile',
        'jquery.mobile.structure.css' => '//yandex.st/jquery/mobile/*/jquery.mobile.structure'
    )
);